Page MenuHomePhabricator

Kartographer maps in Explorer 11 aren't working+breaking layout
Closed, ResolvedPublic

Description

Browser version: IE 11.0.30
Result: white block is shown
Example: https://he.wikipedia.org/w/index.php?title=%D7%93%D7%95%D7%91%D7%95%D7%99&oldid=19183244

There are two different issues here:

  1. First it should degrade gracefully for any non supported browser (see also T143877 )
  2. IE11 should be supported

Event Timeline

eranroz created this task.Aug 25 2016, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2016, 12:28 PM

This is a bug of the leaflet.sleep plugin, and the bug was fixed recently. I'm gonna upgrade the library.

Change 306942 had a related patch set uploaded (by JGirault):
Upgrading leaflet.sleep fixes mapframes in IE11

https://gerrit.wikimedia.org/r/306942

JGirault claimed this task.Aug 26 2016, 3:40 PM
JGirault added a project: Maps-Sprint.
JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.
JGirault moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.

Thank you for the quick fix

Change 306942 merged by jenkins-bot:
Upgrading leaflet.sleep fixes mapframes in IE11

https://gerrit.wikimedia.org/r/306942

JGirault closed this task as Resolved.Aug 31 2016, 10:55 AM
Yurik added a project: Maps.Sep 4 2016, 4:18 AM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 4 2016, 4:18 AM